import { Player, world, system } from "@minecraft/server";

system.runInterval(() => {
    world.getAllPlayers().forEach(player => {
        const isMoving = player.getVelocity().x !== 0 || player.getVelocity().y !== 0 || player.getVelocity().z !== 0;
        if (isMoving) {
            player.runCommandAsync("effect @s[tag=ninjaone] speed 1 3 true");
        }
    });
});
