import { world, Player } from "@minecraft/server";

world.afterEvents.entityHitEntity.subscribe(({ hitBlock, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    const item = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (item?.typeId === 'ninjago:earth_elemental_power') {
        player.runCommand('execute as @s[scores={stone=1,chi=10..}] at @s if entity @s[y=~1.1,dy=0.5] unless entity @s[y=~1.6,dy=0.5] unless entity @e[family=earth,r=2.5] run function earth_earth_summon_glacier_two') 
    }
});




